Ошибка установки дистрибутива для Ubuntu 14.04 LTS

1. Владимир Евтушенко (allgorhythm) 27.01.15 01:21 Сейчас в теме
Здравствуйте уважаемые программисты, подскажите по установке платформы 8.3 в консоле при вводе команды установки выдает слеждующие ошибки
П.С. Сервер установил нормально, а вот толстый клиент выделывается.
allgorhythm@Pinachet:~/Документы/1c/client.deb$ sudo dpkg -i 1c-enterprise83-client_8.3.5-1383_amd64.deb
(Чтение базы данных … на данный момент установлено 241479 файлов и каталогов.)
Preparing to unpack 1c-enterprise83-client_8.3.5-1383_amd64.deb ...
Unpacking 1c-enterprise83-client (8.3.5-1383) over (8.3.5-1383) ...
dpkg: зависимости пакетов не позволяют настроить пакет 1c-enterprise83-client:
 1c-enterprise83-client зависит от 1c-enterprise83-common (= 8.3.5-1383).
 1c-enterprise83-client зависит от 1c-enterprise83-server (= 8.3.5-1383).

dpkg: error processing package 1c-enterprise83-client (--install):
 проблемы зависимостей — оставляем не настроенным
Processing triggers for mime-support (3.54ubuntu1.1) ...
Processing triggers for gnome-menus (3.10.1-0ubuntu2) ...
Processing triggers for desktop-file-utils (0.22-1ubuntu1) ...
Processing triggers for bamfdaemon (0.5.1+14.04.20140409-0ubuntu1) ...
Rebuilding /usr/share/applications/bamf-2.index...
Processing triggers for hicolor-icon-theme (0.13-1) ...
При обработке следующих пакетов произошли ошибки:
 1c-enterprise83-client
allgorhythm@Pinachet:~/Документы/1c/client.deb$ 
Показать
Ответы
2. Максим Безруков (bzmax) 27.01.15 01:40 Сейчас в теме
(1) allgorhythm,
Ох! Он же даже по русски(!) тебе написал.
1c-enterprise83-client зависит от 1c-enterprise83-common (= 8.3.5-1383).
1c-enterprise83-client зависит от 1c-enterprise83-server (= 8.3.5-1383).


И потом почему ставишь отдельно?
Клиент не работает без пакетов "common" и "server" - даже(!) на клиентской машине.
Т.е. нужно устанавливать все три пакета! И в rc.d потом отключить автозапуск сервера.

Собери все пакеты в одну папку
1c-enterprise83-client_8.3.5-1383_amd64.deb
1c-enterprise83-common_8.3.5-1383_amd64.deb
1c-enterprise83-server_8.3.5-1383_amd64.deb

и запусти оттуда
sudo dpkg -i *.deb
После этого отключи автозапуск серверной компоненты.
И все! Делов то.
3. Владимир Евтушенко (allgorhythm) 27.01.15 03:21 Сейчас в теме
(2) bzmax, не, я скачал клиента 64 и ставил на сервер 32, а других серверов нет в сапорте увы, :( это рас.
два вот ответ
Сервер 1С:Предприятие 8.3 на Lubuntu 14.04
Опубликовано ср, 10/01/2014 - 09:13 пользователем dedkoko
В статье я указал, что на сайте 1С мы скачали клиента и сервер 1С 8.3. Распакуем их например в каталоги
?
1
2
3
4

~/1c/client/

1c-enterprise83-client_8.3.4-437_i386.deb
1c-enterprise83-client-nls_8.3.4-437_i386.deb
и
?
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18

~/1c/server/

1c-enterprise83-common_8.3.4-437_i386.deb
1c-enterprise83-common-nls_8.3.4-437_i386.deb
1c-enterprise83-crs_8.3.4-437_i386.deb
1c-enterprise83-server_8.3.4-437_i386.deb
1c-enterprise83-server-nls_8.3.4-437_i386.deb
1c-enterprise83-ws_8.3.4-437_i386.deb
1c-enterprise83-ws-nls_8.3.4-437_i386.deb
Установим распакованные deb-пакеты:

cd ~/1c/server/

dpkg -i *.deb

cd ../client/

dpkg -i *.deb
Клиент сразу не поставился, попросил libwebkitgtk 1c-enterprise83-client зависит от libwebkitgtk-1.0-0 (>= 1.2.5), однако: Пакет libwebkitgtk-1.0-0 не установлен. Надо, значит надо:
?
1

sudo aptitude install libwebkitgtk-dev
Показать
4. Владимир Евтушенко (allgorhythm) 27.01.15 03:58 Сейчас в теме
(3) allgorhythm, не помогло.
allgorhythm@Pinachet:~/Документы/1c/client.deb32$ sudo aptitude install libwebkitgtk-dev
Следующие частично установленные пакеты будут настроены:
1c-enterprise83-client:i386{b}
Ни одного пакета не будет установлено, обновлено или удалено.
0 пакетов обновлено, 0 установлено новых, 0 пакетов отмечено для удаления, и 0 пакетов не обновлено.
Необходимо получить 0 Б архивов. После распаковки 0 Б будет занято.
Следующие пакеты имеют неудовлетворённые зависимости:
1c-enterprise83-client:i386 : Зависит: libwebkitgtk-1.0-0:i386 (>= 1.2.5) но его установка не запланирована.
Следующие действия разрешат зависимости:

Удалить следующие пакеты:
1) 1c-enterprise83-client:i386



Принять данное решение? [Y/n/q/?] Y
Следующие пакеты будут УДАЛЕНЫ:
1c-enterprise83-client:i386{a}
0 пакетов обновлено, 0 установлено новых, 1 пакетов отмечено для удаления, и 0 пакетов не обновлено.
Необходимо получить 0 Б архивов. После распаковки освободится 350 MБ.
Хотите продолжить? [Y/n/?] Y
(Чтение базы данных … на данный момент установлено 274526 файлов и каталогов.)
Удаляется 1c-enterprise83-client (8.3.5-1383) …
Обрабатываются триггеры для hicolor-icon-theme (0.13-1) …
Обрабатываются триггеры для mime-support (3.54ubuntu1.1) …
Обрабатываются триггеры для gnome-menus (3.10.1-0ubuntu2) …
Обрабатываются триггеры для desktop-file-utils (0.22-1ubuntu1) …
Обрабатываются триггеры для bamfdaemon (0.5.1+14.04.20140409-0ubuntu1) …
Rebuilding /usr/share/applications/bamf-2.index...

Текущее состояние: 0 сломано [-1], 0 новых [-1].
allgorhythm@Pinachet:~/Документы/1c/client.deb32$ sudo dpkg -i 1c-enterprise83-client_8.3.5-1383_i386.deb
Выбор ранее не выбранного пакета 1c-enterprise83-client.
(Чтение базы данных … на данный момент установлено 274325 файлов и каталогов.)
Подготовка к распаковке 1c-enterprise83-client_8.3.5-1383_i386.deb …
Распаковывается 1c-enterprise83-client (8.3.5-1383) …
dpkg: зависимости пакетов не позволяют настроить пакет 1c-enterprise83-client:
1c-enterprise83-client зависит от libwebkitgtk-1.0-0 (>= 1.2.5).

dpkg: ошибка при обработке пакета 1c-enterprise83-client (--install):
проблемы зависимостей — оставляем не настроенным
Обрабатываются триггеры для mime-support (3.54ubuntu1.1) …
Обрабатываются триггеры для gnome-menus (3.10.1-0ubuntu2) …
Обрабатываются триггеры для desktop-file-utils (0.22-1ubuntu1) …
Обрабатываются триггеры для bamfdaemon (0.5.1+14.04.20140409-0ubuntu1) …
Rebuilding /usr/share/applications/bamf-2.index...
Обрабатываются триггеры для hicolor-icon-theme (0.13-1) …
При обработке следующих пакетов произошли ошибки:
1c-enterprise83-client
Показать
5. Максим Безруков (bzmax) 27.01.15 07:24 Сейчас в теме
(3) allgorhythm,
Вот намудрил то!
Итак:
1) версия Ubuntu 14.04 какая 32 или 64 ?
2) Ты что вообще хочешь? На одном компе поставить сервер? А на других клиентов и подсоединяться? Или на одном компе тебе просто нужно поставить клиентскую часть 1С


Ни линуксе нельзя мешанину устраивать. Часть пакетов х32, часть пакетов х64. Или то или другое - определись.
Т.е. если ставишь пакет х32 то все зависимости по нему должны быть той же разрядности.
Можно попробовать мультиархитектуру включить (при условии что сама система у тебя х64)
sudo dpkg --add-architecture i386
sudo apt-get update

А после этого уже ставить х32 приложения.

А вот насчет того что клиентов х32 разрядных нет это ты явно ошибаешься! У же на протяжении нескольких лет все пакеты(сервер, клиент, тонкий клиент, веб-компонента) платформы 1С делает как для х32, так и для х64.

П.С.
Ты хоть назначение этих пакетов знаешь?
1c-enterprise83-common_8.3.4-437_i386.deb
1c-enterprise83-common-nls_8.3.4-437_i386.deb
1c-enterprise83-crs_8.3.4-437_i386.deb
1c-enterprise83-server_8.3.4-437_i386.deb
1c-enterprise83-server-nls_8.3.4-437_i386.deb
1c-enterprise83-ws_8.3.4-437_i386.deb
1c-enterprise83-ws-nls_8.3.4-437_i386.deb

Мануалы читал? Зачем их все ставить? И зачем установка сервера и клиента раздельно выполняетться, если одной командой все можно сделать?
6. Владимир Евтушенко (allgorhythm) 27.01.15 15:24 Сейчас в теме
(5) bzmax,
1.x64
2. Клиенская часть, какая по разрядности, для меня не суть важно, у вас же прямо написано в командной строке установщике пакетов сервера "i386" соответственно и вы написали что нужно такого же клиента ставить, повторюсь еще раз, В САПОРТЕ НЕТ х64 ВЕРСИИ СЕРВЕРА, А КЛИЕНТ ЕСТЬ, СЕРВЕРА НЕТ, КЛИЕНТ ЕСТЬ.
3. Ну по логиге, исходя из того что я скачивал серверный дистрибутив, ну вероятнее всего там установка серверной части и защиты к ней, других идей пока нет, зачем ставить раздельно, ну чтобы зависимости постораться обойти.

P/S "Сделал как сказали" добавил архитектуру 32 и загрузил обновления после чего повторил установку
allgorhythm@Pinachet:~$ cd /home/allgorhythm/Документы/1c/client.deb32allgorhythm@Pinachet:~/Документы/1c/client.deb32$ sudo dpkg -i 1c-enterprise83-client_8.3.5-1383_i386.deb
Выбор ранее не выбранного пакета 1c-enterprise83-client.
(Чтение базы данных … на данный момент установлено 274325 файлов и каталогов.)
Подготовка к распаковке 1c-enterprise83-client_8.3.5-1383_i386.deb …
Распаковывается 1c-enterprise83-client (8.3.5-1383) …
dpkg: зависимости пакетов не позволяют настроить пакет 1c-enterprise83-client:
1c-enterprise83-client зависит от libwebkitgtk-1.0-0 (>= 1.2.5).

dpkg: ошибка при обработке пакета 1c-enterprise83-client (--install):
проблемы зависимостей — оставляем не настроенным
Обрабатываются триггеры для mime-support (3.54ubuntu1.1) …
Обрабатываются триггеры для gnome-menus (3.10.1-0ubuntu2) …
Обрабатываются триггеры для desktop-file-utils (0.22-1ubuntu1) …
Обрабатываются триггеры для bamfdaemon (0.5.1+14.04.20140409-0ubuntu1) …
Rebuilding /usr/share/applications/bamf-2.index...
Обрабатываются триггеры для hicolor-icon-theme (0.13-1) …
При обработке следующих пакетов произошли ошибки:
1c-enterprise83-client
allgorhythm@Pinachet:~/Документы/1c/client.deb32$
Показать
7. Максим Безруков (bzmax) 27.01.15 23:38 Сейчас в теме
(6) allgorhythm,
SSH можешь открыть? Ой о чем это я!
Тимвьювер есть?
Запускай покажу. Вижу писать бесполезно. Совсем не то читаешь о чем я пишу.
Если что стучись в скайп "maxa-ok"
8. Максим Безруков (bzmax) 28.01.15 00:17 Сейчас в теме
(6) allgorhythm,
Удали все ранее установленные пакеты 1С
sudo apt-get purge 1c-enterprise83-И_ТАК_ДАЛЕЕ (все которые есть!)

Закачай отсюда все три пакета Общий, серверный и клиентский.
1С 8.3 х64 for Debian(Ubuntu)

Ставим стандартный необходимый набор
sudo apt-get install imagemagick unixodbc libgsf-bin t1utils ttf2pt1 ttf-mscorefonts-installer

Создай папку /home/ТВОЙ_ПОЛЬЗОВАТЕЛЬ/1c
скопируй туда все три скачанные файла.
и запусти установку
sudo dpkg -i ./1c/*.deb
Если в ходе установки ругнеться на недостающие пакеты, поставь их командой
sudo apt-get -f install

уже при работе с 1с может ругнуться на отсутствие библиотеки libWand.so
сама она есть, но программа её не там ищет
сначала найдем где она
sudo find /usr/lib/ -name "libMagickWand.so*" -print

в моем случае 14.04 бубунта х64 она здесь
/usr/lib/x86_64-linux-gnu/libMagickWand.so.5.0.0 - это сама библиотека т.к. полное имя
/usr/lib/x86_64-linux-gnu/libMagickWand.so.5 - это ссылка на ту что сверху

вот и мы создадим ссылку там где её ищет 1С и с тем названием по которому она его ищет.
sudo ln -s -T /usr/lib/x86_64-linux-gnu/libMagickWand.so.5.0.0 /usr/lib/libWand.so

Осталось только отключить автозапуск сервера 1С (если ты только клиента будешь использовать на этой машине)
И установить ключи.
Это уже сам, итак все разжевал.

П.С, Ссылка на дистриб действительна сутки! Потом закрою.
9. Владимир Евтушенко (allgorhythm) 28.01.15 11:24 Сейчас в теме
(8) bzmax, Спасибо Максим, видно что вы толковый специалист. итд, все встало только на версию старее

Технологическая платформа 8.3, версия 8.3.5.1383 почему-то, ну видимо, потому что исправили такие не точности, но встало все без косяков, прям "уки уки", теперь по ключам и серверу если можно :)
10. Владимир Евтушенко (allgorhythm) 28.01.15 22:50 Сейчас в теме
ничего не робит, последняя пристань у виртуал бокса.
11. ИРтегов Максим (imax26) 26 30.10.16 15:02 Сейчас в теме
sudo apt-get install -f сделайте.
Зависимости поправит
Оставьте свое сообщение